Name:           xdffileio
Version:        0.3
Release:        1%{?dist}
Summary:        Unified interface to read/write EEG file format in realtime

License:        LGPLv3+
URL:            http://cnbi.epfl.ch/software/xdffileio.html
Source0:        https://github.com/nbourdau/xdffileio/archive/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  automake autoconf
BuildRequires:  gnulib-devel

%description
xdffileio provides a unified interface to read/write EEG file format in
realtime. It has been designed to provide a consistent and common interface
to all supported file formats while minimizing the CPU cost on the main loop.
It thus performs all the expensive operation (scaling, data convertion and
file operation) in a separated thread.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version}

%build
./autogen.sh

%configure \
%ifarch %{ix86}
        CFLAGS='-march=pentium4'
%endif

%make_build V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/lib%{name}.la
rm -vrf %{buildroot}%{_docdir}/%{name}

%check
make check V=1
rm -vrf doc/example/{.dirstamp,.deps,*.o}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README NEWS AUTHORS
%{_libdir}/lib%{name}.so.*

%files devel
%doc doc/example/
%{_includedir}/xdfio.h
%{_mandir}/man3/xdf_*.3*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Nov 29 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3-1
- Initial package
